javax.servlet

## Interface ServletRegistration

- All Superinterfaces:
    Registration
  All Known Subinterfaces:
    ServletRegistration.Dynamic

      public interface ServletRegistration
      extends Registration

  Interface through which a Servlet may be further configured.
  Since:
    Servlet 3.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `ServletRegistration.Dynamic` Interface through which a Servlet registered via one of the addServlet methods on ServletContext may be further configured.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<java.lang.String>` | `addMapping(java.lang.String... urlPatterns)` Adds a servlet mapping with the given URL patterns for the Servlet represented by this ServletRegistration.
    `java.util.Collection<java.lang.String>` | `getMappings()` Gets the currently available mappings of the Servlet represented by this ServletRegistration.
    `java.lang.String` | `getRunAsRole()`

    - ### Methods inherited from interface javax.servlet.Registration

      `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

- - ### Method Detail

    - #### addMapping

          java.util.Set<java.lang.String> addMapping(java.lang.String... urlPatterns)

      Adds a servlet mapping with the given URL patterns for the Servlet represented by this ServletRegistration. If any of the specified URL patterns are already mapped to a different Servlet, no updates will be performed. If this method is called multiple times, each successive call adds to the effects of the former. The returned set is not backed by the ServletRegistration object, so changes in the returned set are not reflected in the ServletRegistration object, and vice-versa.
      Parameters:
        `urlPatterns` - The URL patterns that this Servlet should be mapped to
      Returns:
        the (possibly empty) Set of URL patterns that are already mapped to a different Servlet
      Throws:
        `java.lang.IllegalArgumentException` - if urlPattern is null or empty
        `java.lang.IllegalStateException` - if the associated ServletContext has already been initialised

    - #### getMappings

          java.util.Collection<java.lang.String> getMappings()

      Gets the currently available mappings of the Servlet represented by this ServletRegistration. If permitted, any changes to the returned Collection must not affect this ServletRegistration.
      Returns:
        a (possibly empty) Collection of the currently available mappings of the Servlet represented by this ServletRegistration

    - #### getRunAsRole

          java.lang.String getRunAsRole()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.